import { PropertyValues } from 'lit';
import { TiniElement } from 'tinijs';
export declare class IconFileCodeComponent extends TiniElement {
    static readonly defaultTagName = "icon-file-code";
    static styles: any;
    scale?: string;
    scheme?: string;
    willUpdate(changedValues: PropertyValues): void;
    protected render(): any;
}
export declare const IconFileCode: any;
